package com.ama.core.architecture.util.state

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.gamedog.vididin.core.designsystem.stateview.state.interfaces.StateBaseView


abstract class ConstraintLayoutMergeStateBaseView : StateBaseView {
    override var root: View? = null
    override fun createRootView(parent: ViewGroup): View =
        LayoutInflater.from(parent.context).inflate(getResId(), parent, true)

    abstract fun getResId(): Int
}